<%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%@
	page import="imagemed.tables.*, imagemed.imtables.*, imagemed.http.IMRequest, imagemed.util.*,
			imagemed.imsession.*,imagemed.jsputil.*, imagemed.types.enumeration.IMTypell,
			imagemed.layout.datasource.*, imagemed.layout.*, imagemed.lists.*,
			imagemed.scheduler.SchedulerInterface, java.util.*, java.sql.Statement,
			imagemed.filters.*, imagemed.dotcom.DotcomConfig, java.io.File, imagemed.types.IMType,
			imagemed.layout.OperatingMode"

%><%!static String thisPage = "/billing/index.jsp";%><%

	IMSession is = new IMSession(request, response, out); 
	
 	if (!is.regOK()) {
    	return;
 	}
 	IMRequest reqPar  = is.imRequest;
 	String parOper = is.getButtonParam("cOp");
 	String parLog = reqPar.getVal("c0LID");
 	boolean isPrintFriendly = "true".equals(request.getParameter("cPrintFriendly"));
 	String context = reqPar.m_context;
	boolean contextChanged = false;
	String selfID = DotcomConfig.selfId();
  
	if( !Table.isExporting(is) && !isPrintFriendly ) {
		is.setNonCacheable();
		if( !reqPar.digUpParameterNames().contains( "qf_0LED") ) {
			reqPar.setProperty( "qf_0LED", "(-24 hours)()()" );
			contextChanged = true;
		}
		
		if( !reqPar.digUpParameterNames().contains( "qf_0LLS") ) {
			if ( selfID != null ) {
				reqPar.setProperty( "qf_0LLS", selfID );
				contextChanged = true;
			}
		}

		if( !reqPar.digUpParameterNames().contains( "qf_0LTA") ) {
			reqPar.setProperty( "qf_0LTA", OperLogEntry.LEVEL.STUDY.getName() );
			contextChanged = true;
		}

		if( !reqPar.digUpParameterNames().contains( "qf_0LAC") ) {
			reqPar.setProperty( "qf_0LAC", "acquire" );
			contextChanged = true;
		}

		if (parOper == null) {
			if (context == null || context.length() == 0) {
	  			context = reqPar.backupContext();
	  			// we did not have a context, redirect the page now.
	  			response.sendRedirect(thisPage+"?cContext="+context);
		  		return;
			}
	  		else {
	  			// just save the context
	  			reqPar.passAsFile(context);
	  			if( contextChanged ) {
					is.createIMRequest( true );	  			
	  			}
		 	}
		}
  	}

	
	
 	IMBaseFieldManager fm = EntryLayoutFactory.getDefaultFieldManager(is, LayoutPart.BILLINGLAYOUT);

 	// --- Init Table without Result ---
  
 	String thisPageMenuTab = thisPage.substring(1);

 	TableDescriptor tdesc = new TableDescriptor(thisPage,true,true,true,false);
 	TableProperties tprop = new TableProperties();

	WorklistTableParams tparams = new WorklistTableParams( is, is.getProfileUser(), is.regRights.indexOf('A') > -1, is.isRegisteredViewer());  
 	tparams.setDefaults(thisPage, is);
    
 	tdesc.setFieldManager(fm);
 	tdesc.setTableParams(tparams);
 	tdesc.setTableProperties(tprop);
 	tdesc.setSortDepth(3);

	Properties filterPrp = tdesc.getFilters();

	List<TopCell> topCell = new ArrayList<TopCell>();

 	TitleTopCell title = new TitleTopCell(tprop, LocalizedMessage.getSimpleMessage( "tabBilling" ) );
 	title.clearWidth();
  
 	topCell.add( title );
  
 	topCell.add( new SeparatorTopCell(tprop, 4) );

	topCell.add( new ListsTopCell( ListType.BILLING, tdesc, is.getProfileUserId(), true) );

 	topCell.add( new SeparatorTopCell(tprop, 4) );

 	topCell.add( new FieldsTopCell(tdesc, null, true) );
 	topCell.add( new FiltersTopCell(tdesc, null, false, new String[0], true) );
 	topCell.add( new SortsTopCell(tdesc, null, false, true) );

 	// --- Init Table with Result ---
 	if( Table.isExporting(is) || isPrintFriendly ) {
  		tparams.setPageSize( -1 );
 	}
  
 	DBLogsResult result = new DBLogsResult(tdesc, is, new String[] {"0LED","SSIZ"}, false, true );

 	tdesc.setResult(result);
 	Table table = new Table(tdesc);

 	topCell.add( new SeparatorTopCell(tprop, 4) );
 	topCell.add( new BillingTopCell( tprop, result, null ) );

 	topCell.add( new PageTopCell(tprop, tparams) );
 	tdesc.setTopCells(topCell);

	if (table.handleExport(is))	{
		return;
	}%><%-- --- HTML --- --%><HTML>
<HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "tabBilling" ) %></TITLE>
 <SCRIPT Language="JavaScript">
 	var pageContext="<%=context%>";
 </script>
<%
    TabToolbox.writeIMpopup(is.out);
    table.printScript(tparams,is);
%>
  <SCRIPT language="JavaScript">
	function doSubmit(frm, mod) {
		while (frm.cOp.value != mod) {
			frm.cOp.value=mod;
		}
		frm.submit();
	}

	function openPrintFriendly(url) {
  		window.open(url,"imw_printfriendly","resizable,scrollbar,menubar=yes,toolbar=yes");
  	}

  </script>
</head>
<%
	boolean bNeedPrint = false;
	if (isPrintFriendly) {
		bNeedPrint = true;
		if (is.bIsMSIE) {
			try {
				int p = is.ua.indexOf("MSIE ");
				if (p != -1) {
					p += 5;
					while (is.ua.charAt(p) == ' ')
						p++;
					if (is.ua.charAt(p) <= '4')
						bNeedPrint = false;
				}
			}
			catch (Throwable th) {
			}
		}
	}
%>
</HEAD>
<BODY<%= bNeedPrint ? " onLoad='window.print();'" : ""%>>

<% 
	TabToolbox.makeTabs( is,is.tabbean, thisPageMenuTab, "White");

%>
<CENTER>
<%
	if( isPrintFriendly ) {
%>		
<table border=0 cellpadding=0 width="100%">
	<tr CLASS="headerprintfriendly"><td align="center">
		<%=LocalizedMessage.getSimpleMessage( "tabBilling" )%>
		</td><td align="left">	
<% 
		BillingTopCell.printAggregate( is.out, result );
%>
		</td>
	</tr>
</table><br>	
<%
		table.createPrintFriendly( is );
	}
	else {
		table.printTableTop(is);
  		table.print(is);
	}
%>
</CENTER>
<%=isPrintFriendly ? "" : ListSaveForm.getListSaveForm( ListType.BILLING, is, tdesc)%>

</BODY>
</HTML>