<%@page

	import="
		imagemed.imsession.*,imagemed.tables.*, imagemed.imtables.*, imagemed.http.IMRequest, imagemed.util.*,
		imagemed.jsputil.TabToolbox,
		imagemed.layout.*,
		imagemed.layout.datasource.*,
		imagemed.lists.*,
		imagemed.sqltables.TableUpdator,
		imagemed.types.flag.IMTypeur,
	
		java.io.IOException,
		java.sql.*,
		java.util.*
	"

%><%@page

	errorPage ="../main/exceptionHandler.jsp"

%><%!


static String thisPageMenuTab = "billing/rgselect.jsp";
static String thisPage = "/billing/rgreport.jsp";


%><%

IMSession is = new IMSession( request, response, out );



if ( !is.regOK() ) {
	return;
}

IMRequest reqPar  = is.imRequest;

String context = reqPar.m_context;

boolean contextChanged = false;

if( !Table.isExporting(is) ) {
	is.setNonCacheable();
	if (context == null || context.length() == 0) {
		context = reqPar.backupContext();
		// we did not have a context, redirect the page now.
		response.sendRedirect(thisPage+"?cContext="+context);
		return;
	}
	else {
		// just save the context
		reqPar.passAsFile(context);
	}
}


String pageBack = reqPar.getVal( "cBack" );
Helper.DEBUG( "cBackfound:" + pageBack );
if( pageBack == null ) {
	pageBack = "/billing/rgselect.jsp";
}




IMBaseFieldManager fm = EntryLayoutFactory.getDefaultFieldManager( is, LayoutPart.SPATIALBILLINGLAYOUT );

// --- Init Table without Result ---

TableDescriptor tdesc = new TableDescriptor( thisPage, true, true, true, false );
TableProperties tprop = new TableProperties();

WorklistTableParams tparams = new WorklistTableParams( is, is.getProfileUser(), is.hasRight( IMTypeur.ADMIN_RIGHT ), is.isRegisteredViewer() );

tdesc.setFieldManager( fm );
tdesc.setTableParams( tparams );
tdesc.setTableProperties( tprop );
tdesc.setSortDepth( 3 );

List<TopCell> topCell = new ArrayList<TopCell>();

TitleTopCell title = new TitleTopCell(tprop, LocalizedMessage.getSimpleMessage( "tabSpatreg" ) );
title.clearWidth();

topCell.add( title );

topCell.add( new SeparatorTopCell(tprop, 4) );

topCell.add( new ListsTopCell( ListType.SPAT_REG_RESULT, tdesc, is.getProfileUserId(), true) );
topCell.add( new SeparatorTopCell(tprop, 4) );

topCell.add( new FieldsTopCell(tdesc, null, true) );
topCell.add( new FiltersTopCell(tdesc, null, false, new String[0], true) );
topCell.add( new SortsTopCell(tdesc, null, false, true) );

Properties prpTD = new Properties();
prpTD.setProperty( "align", "right" );
prpTD.setProperty( "width", "40%" );
topCell.add( new SimpleTopCell( tprop, "<a href=\"" + pageBack +
"\"><script language=\"JavaScript\">getButtonFull(\"backButton\", 24, 24, \"\");</script></a>", prpTD ) );

topCell.add( new PageTopCell(tprop, tparams) );
tdesc.setTopCells(topCell);


// --- Init Table with Result ---
if( Table.isExporting(is) ) {
	tparams.setPageSize( -1 );
}



// --- Init Table with Result ---


DBLayoutDataSource ds =  EntryLayoutFactory.getDefaultDBLDS( is, LayoutPart.SPATIALBILLINGLAYOUT );
Result result = new SpatialLogResult( tdesc, ds );

tdesc.setResult( result );
Table table = new Table( tdesc );

if (table.handleExport(is))	{
	return;
}

%><%--
 * 
 * HTML
 *
--%><HTML><HEAD>
	<TITLE><%= LocalizedMessage.getSimpleMessage( "tabSpatreg" ) %></TITLE>

	<SCRIPT Language="JavaScript">
		var pageContext="<%=context%>";
	</script>
<%

TabToolbox.writeIMpopup( is.out );
table.printScript( tparams, is );

%>
	<SCRIPT language="JavaScript">
		function doSubmit( frm, mod ) {
			while ( frm.cOp.value != mod ) {
				frm.cOp.value = mod;
			}
			frm.submit();
		}

	</script>
</head>
<BODY>
<% 

TabToolbox.makeTabs( is,is.tabbean, thisPageMenuTab, "White" );


table.printTableTop( is );
table.print( is );
%>
<%=ListSaveForm.getListSaveForm( ListType.SPAT_REG_RESULT, is, tdesc)%>

</BODY>
</HTML>
